Page MenuHomePhabricator

sql command should point to the new labsdb servers
Closed, ResolvedPublic

Description

Based on feedback at T181486, maybe the sql command on toolforge should already redirect to the right servers OR document that it should not be used anymore and provide an alternative.

Details

Related Gerrit Patches:

Event Timeline

jcrespo created this task.Nov 28 2017, 11:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2017, 11:23 AM
bd808 added a subscriber: bd808.Nov 29 2017, 8:57 PM

The default backend is still --cluster labsdb which resolves to the *.labsdb hosts. Let's make this a child task for T142807: Migrate all users to new Wiki Replica cluster and decommission old hardware. When we shutdown labsdb1003 in 2 weeks we can change the default to --cluster analytics and drop the --cluster labsdb support entirely.

bd808 moved this task from Backlog to Wiki replicas on the Data-Services board.Dec 10 2017, 4:59 AM

Change 407054 had a related patch set uploaded (by Zhuyifei1999; owner: Zhuyifei1999):
[labs/toollabs@master] sql: Set default cluster to 'analytics' and add bash completion

https://gerrit.wikimedia.org/r/407054

Change 407054 merged by jenkins-bot:
[labs/toollabs@master] sql: Set default cluster to 'analytics' and add bash completion

https://gerrit.wikimedia.org/r/407054

Mentioned in SAL (#wikimedia-cloud) [2018-03-05T18:39:12Z] <zhuyifei1999_> built and published misctools_1.30_all.deb T167026 T181492

zhuyifei1999 closed this task as Resolved.Mar 5 2018, 7:22 PM
zhuyifei1999 claimed this task.